---

## https://httpd.apache.org/docs/2.4/en/bind.html

- name: Restrict listening interface - ports.conf
  ansible.builtin.template: src=ports.conf.j2 dest=/etc/apache2/ports.conf mode=0644 backup=yes
  notify:
    - Restart apache
    - Restart apache - docker

# - name: Keep localhost as listening interface - ports.conf
#    ansible.builtin.lineinfile: dest=/etc/apache2/ports.conf regexp="{{ item.r }}" line="{{ item.l }}" follow=yes
#   with_items:
#     - { r: '^(\s*)Listen 127.0.0.1:443$', l: '    Listen 127.0.0.1:443' }
#   notify:
#     - Restart apache

## FIXME!
- name: Check if apache2-graphite.conf is enabled
  ansible.builtin.stat: path=/etc/apache2/sites-enabled/apache2-graphite.conf
  register: apachegraphite
- name: Apache Graphite
  block:
    - name: Restrict listening interface (graphite)
      ansible.builtin.replace:
        dest: /etc/apache2/sites-enabled/apache2-graphite.conf
        regexp: "{{ item.re }}"
        mode: '0644'
        replace: "{{ item.rep }}"
        follow: true
      with_items:
        - { re: '^(\s*)<VirtualHost _default_:(\d+)>', rep: '\1<VirtualHost {{ hardenwebserver_bind }}:\2>' }
        - { re: '^(\s*)<VirtualHost \*:(\d+)>', rep: '\1<VirtualHost {{ hardenwebserver_bind }}:\2>' }
        - { re: '^(\s*)Listen \w+:(\d+)$', rep: '\1Listen {{ hardenwebserver_bind }}:\2' }
        - { re: '^(\s*)Listen (\d+)$', rep: '\1Listen {{ hardenwebserver_bind }}:\2' }
      notify:
        - Restart apache
        - Restart apache - docker
  when: apachegraphite.stat.exists and hardenwebserver_bind is defined and hardenwebserver_bind
